aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>1999-02-18 18:58:48 +0000
committerBill Nottingham <notting@redhat.com>1999-02-18 18:58:48 +0000
commit79cf5aa1756db222e84f611669ef7eb504d28b63 (patch)
tree67d1b2e6f7c2e8da54b40182e0ff1b736b3fa9b6
parent1c0967c9cd6948f410c14a691d28e2dd5d0ffdf0 (diff)
downloadinitscripts-79cf5aa1756db222e84f611669ef7eb504d28b63.tar
initscripts-79cf5aa1756db222e84f611669ef7eb504d28b63.tar.gz
initscripts-79cf5aa1756db222e84f611669ef7eb504d28b63.tar.bz2
initscripts-79cf5aa1756db222e84f611669ef7eb504d28b63.tar.xz
initscripts-79cf5aa1756db222e84f611669ef7eb504d28b63.zip
$* -> $@
-rwxr-xr-xrc.d/init.d/functions6
1 files changed, 3 insertions, 3 deletions
diff --git a/rc.d/init.d/functions b/rc.d/init.d/functions
index 14ba5025..7f0a4488 100755
--- a/rc.d/init.d/functions
+++ b/rc.d/init.d/functions
@@ -53,7 +53,7 @@ daemon() {
[ $BOOTUP != "color" ] && echo -n " $base"
# And start it up.
- nice -n $nicelevel initlog $INITLOG_ARGS -c "$*" && success "$base startup" || failure "$base startup"
+ nice -n $nicelevel initlog $INITLOG_ARGS -c "$@" && success "$base startup" || failure "$base startup"
}
# A function to stop a program.
@@ -210,14 +210,14 @@ action() {
echo -n "$STRING "
shift
if [ -z "$IN_INITLOG" ]; then
- initlog $INITLOG_ARGS -c "$*" && success "$STRING" || failure "$STRING"
+ initlog $INITLOG_ARGS -c "$@" && success "$STRING" || failure "$STRING"
rc=$?
# [ "$BOOTUP" = "color" ] && echo
echo
return $rc
else
# This sucks.
- output=`$*`
+ output=`$@`
rc=$?
if [ -n "$output" ]; then
cmdname=`basename $1`